org.apache.lucene.codecs

## Class SegmentInfoFormat

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoFormat

- Direct Known Subclasses:
    Lucene3xSegmentInfoFormat, Lucene40SegmentInfoFormat

      public abstract class SegmentInfoFormat
      extends Object

  Expert: Controls the format of the `SegmentInfo` (segment metadata file).

  See Also:
    `SegmentInfo`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SegmentInfoFormat()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SegmentInfoReader` | `getSegmentInfoReader()` Returns the `SegmentInfoReader` for reading `SegmentInfo` instances.
    `abstract SegmentInfoWriter` | `getSegmentInfoWriter()` Returns the `SegmentInfoWriter` for writing `SegmentInfo` instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentInfoFormat

          protected SegmentInfoFormat()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### getSegmentInfoReader

          public abstract SegmentInfoReader getSegmentInfoReader()

      Returns the `SegmentInfoReader` for reading `SegmentInfo` instances.

    - #### getSegmentInfoWriter

          public abstract SegmentInfoWriter getSegmentInfoWriter()

      Returns the `SegmentInfoWriter` for writing `SegmentInfo` instances.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.